package uk.ac.reload.editor.style;

//Este render es el encargado de presentar las propiedades de objetos de

import java.io.File;

//tipo String que hagan referencia a un fichero
public class FileRender extends javax.swing.table.DefaultTableCellRenderer implements CellRender {
    
    public FileRender() {
    }
    
    // El método que dibuja el componente. Concretamente pinta una JLabel con el
    // nombre del fichero al que apunta la propiedad. 
    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable oTabla, Object oValueToAssign,boolean isSelected,boolean hasFocus,int iRow, int iColumn) {
        java.awt.Component oComponent = super.getTableCellRendererComponent(oTabla, oValueToAssign, isSelected,hasFocus,iRow,iColumn);
        if (oValueToAssign!=null) {
           String sFile = ((File)oValueToAssign).getName();
           ((javax.swing.JLabel)oComponent).setText(sFile);
           ((javax.swing.JLabel)oComponent).setToolTipText(sFile);
        }
       return oComponent;
    }
    
    
    
    
    
    
    //Devuelve la clase a la que pertenece este render
     public Class getTypeRender() {
        return (File.class);
    }
    
}
